org.codehaus.plexus.lifecycle.phase

## Class AbstractPhase

- java.lang.Object
- - org.codehaus.plexus.lifecycle.phase.AbstractPhase

All Implemented Interfaces:
  Phase

Direct Known Subclasses:
  AutoConfigurePhase, ConfigurablePhase, ContextualizePhase, DisposePhase, InitializePhase, LogDisablePhase, LogEnablePhase, ResumePhase, ServiceablePhase, StartPhase, StopPhase, SuspendPhase

    public abstract class AbstractPhase
    extends java.lang.Object
    implements Phase

### Constructor Summary

Constructors
Constructor and Description
`AbstractPhase()`

### Method Summary

Methods
`void` `execute(java.lang.Object component, ComponentManager manager)` Deprecated.
`abstract void` `execute(java.lang.Object component, ComponentManager manager, org.codehaus.plexus.classworlds.realm.ClassRealm realm)` Execute the phase.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractPhase

    public AbstractPhase()

### Method Detail

#### execute

    public abstract void execute(java.lang.Object component,
               ComponentManager manager,
               org.codehaus.plexus.classworlds.realm.ClassRealm realm)
                          throws PhaseExecutionException

Execute the phase.

Specified by:
  `execute` in interface `Phase`
Throws:
  `PhaseExecutionException`

#### execute

    public final void execute(java.lang.Object component,
               ComponentManager manager)
                       throws PhaseExecutionException

Deprecated.

Throws:
  `PhaseExecutionException`